Package org.eclipse.jdt.debug.ui.launchConfigurations

# Class JavaDependenciesTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaDependenciesTab

All Implemented Interfaces:
  `IPrototypeAttributesLabelProvider`, `ILaunchConfigurationTab`, `ILaunchConfigurationTab2`, `org.eclipse.jdt.internal.debug.ui.launcher.IEntriesChangedListener`

public class JavaDependenciesTab extends JavaClasspathTab
A launch configuration tab that displays and edits the user and bootstrap classes comprising the classpath launch configuration attribute.

Clients may call `AbstractLaunchConfigurationTab.setHelpContextId(String)` on this tab prior to control creation to alter the default context help associated with this tab.

This class may be instantiated.

Since:
  3.9
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected static final String`
`DIALOG_SETTINGS_PREFIX`
`protected ILaunchConfiguration`
`fLaunchConfiguration`
The last launch config this tab was initialized from

### Fields inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab

`fClasspathViewer`

## Constructor Summary

Constructors
Constructor
Description
`JavaDependenciesTab()`
Constructor

## Method Summary

Modifier and Type
Method
Description
`void`
`activated(ILaunchConfigurationWorkingCopy workingCopy)`
`protected Button`
`createButton(Composite pathButtonComp, org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)`
Creates a button for the given action.
`void`
`createControl(Composite parent)`
`protected void`
`createPathButtons(Composite pathButtonComp)`
Creates the buttons to manipulate the classpath.
`void`
`dispose()`
`static Image`
`getClasspathImage()`
Returns the image for this tab, or `null` if none
`String`
`getId()`
`Image`
`getImage()`
`ILaunchConfiguration`
`getLaunchConfiguration()`
Returns the current launch configuration
`protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel`
`getModel()`
`String`
`getName()`
`void`
`initializeFrom(ILaunchConfiguration configuration)`
`boolean`
`isShowBootpath()`
Returns whether the bootpath should be displayed.
`boolean`
`isValid(ILaunchConfiguration launchConfig)`
`void`
`performApply(ILaunchConfigurationWorkingCopy configuration)`
`void`
`setDefaults(ILaunchConfigurationWorkingCopy configuration)`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaClasspathTab

`initializeAttributes`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaClasspathTab

`entriesChanged`

### Methods inherited from class org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Field Details

### DIALOG_SETTINGS_PREFIX

protected static final String DIALOG_SETTINGS_PREFIX

See Also:
  - Constant Field Values

### fLaunchConfiguration

protected ILaunchConfiguration fLaunchConfiguration
The last launch config this tab was initialized from

## Constructor Details

### JavaDependenciesTab

public JavaDependenciesTab()
Constructor

## Method Details

### createControl

public void createControl(Composite parent)

Specified by:
  `createControl` in interface `ILaunchConfigurationTab`
Overrides:
  `createControl` in class `JavaClasspathTab`

### createPathButtons

protected void createPathButtons(Composite pathButtonComp)
Creates the buttons to manipulate the classpath.

Overrides:
  `createPathButtons` in class `JavaClasspathTab`
Parameters:
  `pathButtonComp` - composite buttons are contained in
Since:
  3.0

### createButton

protected Button createButton(Composite pathButtonComp, org.eclipse.jdt.internal.debug.ui.actions.RuntimeClasspathAction action)
Creates a button for the given action.

Overrides:
  `createButton` in class `JavaClasspathTab`
Parameters:
  `pathButtonComp` - parent composite for the button
  `action` - the action triggered by the button
Returns:
  the button that was created

### setDefaults

public void setDefaults(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `setDefaults` in interface `ILaunchConfigurationTab`
Overrides:
  `setDefaults` in class `JavaClasspathTab`

### initializeFrom

public void initializeFrom(ILaunchConfiguration configuration)

Specified by:
  `initializeFrom` in interface `ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `JavaClasspathTab`

### activated

public void activated(ILaunchConfigurationWorkingCopy workingCopy)

Specified by:
  `activated` in interface `ILaunchConfigurationTab`
Overrides:
  `activated` in class `JavaClasspathTab`

### performApply

public void performApply(ILaunchConfigurationWorkingCopy configuration)

Specified by:
  `performApply` in interface `ILaunchConfigurationTab`
Overrides:
  `performApply` in class `JavaClasspathTab`

### getName

public String getName()

Specified by:
  `getName` in interface `ILaunchConfigurationTab`
Overrides:
  `getName` in class `JavaClasspathTab`

### getId

public String getId()

Overrides:
  `getId` in class `JavaClasspathTab`
Since:
  3.3
See Also:
  - `AbstractLaunchConfigurationTab.getId()`

### getClasspathImage

public static Image getClasspathImage()
Returns the image for this tab, or `null` if none

Returns:
  the image for this tab, or `null` if none
See Also:
  - `ILaunchConfigurationTab.getImage()`

### getLaunchConfiguration

public ILaunchConfiguration getLaunchConfiguration()
Returns the current launch configuration

Overrides:
  `getLaunchConfiguration` in class `JavaClasspathTab`
Returns:
  the backing `ILaunchConfiguration`

### dispose

public void dispose()

Specified by:
  `dispose` in interface `ILaunchConfigurationTab`
Overrides:
  `dispose` in class `JavaClasspathTab`

### getImage

public Image getImage()

Specified by:
  `getImage` in interface `ILaunchConfigurationTab`
Overrides:
  `getImage` in class `JavaClasspathTab`

### isValid

public boolean isValid(ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `ILaunchConfigurationTab`
Overrides:
  `isValid` in class `JavaClasspathTab`

### isShowBootpath

public boolean isShowBootpath()
Returns whether the bootpath should be displayed.

Overrides:
  `isShowBootpath` in class `JavaClasspathTab`
Returns:
  whether the bootpath should be displayed
Since:
  3.0

### getModel

protected org.eclipse.jdt.internal.debug.ui.classpath.ClasspathModel getModel()

Overrides:
  `getModel` in class `JavaClasspathTab`
Returns:
  Returns the classpath model.